TUTORIAL_PIPELINE03(1)

NAME
Tutorial_Pipeline03.pl - Construct a UCSC genome browser TrackHub

SYNOPSIS
  perl Tutorial_Pipeline03.pl [--out I<PATH>] [--baseurl -I<URL>] [--bigbeds -I<URL#URL>] [--bigwigs -I<URL,URL#URL>]

DESCRIPTION
This script demonstrates the semi-automated construction of UCSC genome browser TrackHubs with Bio::ViennaNGS.

The result of this tutorial can be viewed by navigating your browser here <http://genome-euro.ucsc.edu/cgi-bin/hgTracks?hubUrl=http://nibiru.tbi.univie.ac.at/ViennaNGS/tutorial03/hg19_trackHub/trackHub/hub.txt&position=chr15>

This tutorial is based on the track_hub_constructor.pl script and the output from Tutorial02_pipeline.pl. While the option descriptions here are specific for the results from Tutorial02 the trackhub_hub_constructor.pl can be applied in the same manner to other datasets. The example call uses the bigwig and bedfiles available from our server. Example call:

  Tutorial_pipeline03.pl -o /home/user/public_html/hg19_trackHub -u
http://www.mydomain.com/ucsc/hg19_trackHub -b
http://www.mydomain.com/ucsc/data/hg19_highlyexpressed.pos.bb#http://www.mydomain.com/ucsc/data/hg19_highlyexpressed.neg.bb
                                                             #-w
                                                             #http://www.mydomain.com/ucsc/data/hg19_highlyexpressed.pos.bw,http://www.mydomain.com/ucsc/data/hg19_highlyexpressed.neg.bw

  PREREQUITES
To run this tutorial on your machine you will need a full installation of the Bio::ViennaNGS distribution. Input files can be downloaded here <http://nibiru.tbi.univie.ac.at/ViennaNGS>):

hg19_highlyexpressed.pos.bb
hg19_highlyexpressed.neg.bb
hg19_highlyexpressed.pos.bw
hg19_highlyexpressed.neg.bw

For the UCSC genome browser to be able to visualize our trackhub it needs to be accessible via URL. This is the base URL you need to provide as commandline argument.

  DISCLAIMER
The resulting trackhub can only be read by the UCSC genome browser if it is accessible via URL. If you have no webspace for testing available you can use example output available from our webserver here <http://nibiru.tbi.univie.ac.at/ViennaNGS>.

PIPELINE
Create UCSC Genome Browser Trackhub

  print "Constructing UCSC genome browser trackhub ...\n";

  $track_hub_return_value = make_track_hub($genome_identifier,$dest,$base_URL,$big_bed_urls,$big_wig_urls,$lf);

  print "Loading the trackhub into the UCSC genome browser...\n\n";

  print "1. Point your browser to: http://genome.ucsc.edu/index.html\n\n";

  print "2. Select Genome Browser from the left menu\n\n";

  print "3. You are now redirected to nearest mirror of the genome browser.\n    Select \"My Data\" from the top menu and then \"Track Hubs\" in the popup list.\n\n";

  print "4. The \"Track Data Hubs\" page is displayed. In the register \"My Hubs\" it is possible to add the newly created track hub. Paste the URL to hub.txt into the URL field and click \"Add Hub\" (e.g. http://nibiru.tbi.univie.ac.at/ViennaNGS/tutorial03/hg19_trackHub/trackHub/hub.txt).\n\n";

  print "5. The track hub now loads into the hg19 public hub. \n\n";

  print "6. Enter e.g. chr15 in the position field and hit go\n\n";

  print "7. You should now see 2 annotation tracks and a bigwig multi-track plotted in red and green\n\n";

  print "DONE\n";

COMMAND LINE OPTIONS

OPTIONS

--out -o
    Destination folder for the output Track Hub.

--baseurl -u
    BaseURL used within the Track Hub. This URL will be included verbatim in the resulting Track Hub. It is crucial that this URl is valid, else the resulting Track Hub will be broken.

--bigbeds -b
    URLs pointing to big bed files to be included in the trackhub. Multiple URLs are separated by the character #.

--bigwigs -w
    URLs pointing to big wig files to be included in the trackhub. Multiple URLs are separated by the character #. It is possible to create a multiwig container by providing 2 URLs instead of one separated by comma character ,. E.g. http://foo.com/bar.bw,http://foo.com/bar2.bw#http://foo.com/bar3.bw yields a multi big wig container displaying bar as positive reads in green and bar2 as negative 3 red colored reads in the same track and additionally bar3 in an own track colored blue.

--help -h
    Print short help

--man
    Prints the manual page and exits

AUTHORS

Florian Eggenhofer <florian.eggenhofer@univie.ac.at>

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 176:
    You forgot a '=back' before '=head1'